package main

import (
	"fmt"
	"github.com/urfave/cli/v2"
	"os"
)

func CmdVersion(c *cli.Context) error {
	fmt.Println("Version: ", VERSION)
	return nil
}

func ErrorExit(err error) {
	_, _ = fmt.Fprintln(os.Stderr, "==== SakiSH Runtime Error ====")
	_, _ = fmt.Fprintln(os.Stderr, err)
	_, _ = fmt.Fprintln(os.Stderr, "==============================")
	os.Exit(-1)
}

func RuntimeWarning(err error) {
	_, _ = fmt.Fprintln(os.Stderr, "==== SakiSH Runtime Warning ====")
	_, _ = fmt.Fprintln(os.Stderr, err)
	_, _ = fmt.Fprintln(os.Stderr, "================================")
}
